import 'package:b2b_graphql_package/modules/check_password/check_password_model.dart';
import 'package:b2b_graphql_package/modules/single_pack/single_pack_model.dart';
import 'package:graphql_flutter/graphql_flutter.dart';

import '../../GraphQLConfiguration.dart';

class CheckPassworRepo {
  var graphQLConfiguration;

  var checkPassword;
  CheckPassworRepo() {
    graphQLConfiguration = GraphQLConfiguration();
  }

  Future<CheckPassword> getSinglePack(String mobileNumber) async {
    GraphQLClient _client = graphQLConfiguration.clientToQuery();

    var checkPasswordGql = """ 
                  query checkPassword(\$mobileNumber: String) {
                checkPassword(mobileNumber: \$mobileNumber) {
                  _id
                  password
                  __typename
                }
              }

            """;

    final vble = {
      "mobileNumber": mobileNumber,
    };
    QueryResult result = await _client.query(QueryOptions(
      document: gql(checkPasswordGql),
      variables: vble,
      fetchPolicy: FetchPolicy.networkOnly,
    ));

    if (!result.hasException) {
      var checkPasswordModel = result.data!['checkPassword'];

      if (checkPasswordModel != null && checkPasswordModel.length > 0) {
        checkPassword = singlePackFromJson(checkPasswordModel);
      }
      return checkPassword;
    }
    return checkPassword;
  }
}
